Reshares the MPC secret shares for the specified WAAS wallet.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/reshare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientKeygenIds": [
"<string>"
],
"delegateToProjectEnvironment": true,
"revokeDelegation": true,
"shareSetId": "95b11417-f18f-457f-8804-68e361f9164f",
"initialSignerRules": [
{
"name": "<string>",
"ruleId": "95b11417-f18f-457f-8804-68e361f9164f",
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"addresses": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"chainId": 123,
"chainIds": [
123
],
"contractAbi": [
{}
],
"functionName": "<string>",
"argumentConstraints": [
{
"value": "<unknown>",
"index": 1
}
],
"valueLimit": {
"asset": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"maxPerCall": "<string>",
"totalLimit": "<string>"
},
"operationRestrictions": {
"blockExport": true,
"blockRevocation": true,
"blockClientSigning": true
},
"disableBlockaidSecurityChecks": true
}
]
}
'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/reshare"
payload = {
"clientKeygenIds": ["<string>"],
"delegateToProjectEnvironment": True,
"revokeDelegation": True,
"shareSetId": "95b11417-f18f-457f-8804-68e361f9164f",
"initialSignerRules": [
{
"name": "<string>",
"ruleId": "95b11417-f18f-457f-8804-68e361f9164f",
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"addresses": ["0xbF394748301603f18d953C90F0b087CBEC0E1834"],
"chainId": 123,
"chainIds": [123],
"contractAbi": [{}],
"functionName": "<string>",
"argumentConstraints": [
{
"value": "<unknown>",
"index": 1
}
],
"valueLimit": {
"asset": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"maxPerCall": "<string>",
"totalLimit": "<string>"
},
"operationRestrictions": {
"blockExport": True,
"blockRevocation": True,
"blockClientSigning": True
},
"disableBlockaidSecurityChecks": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientKeygenIds: ['<string>'],
delegateToProjectEnvironment: true,
revokeDelegation: true,
shareSetId: '95b11417-f18f-457f-8804-68e361f9164f',
initialSignerRules: [
{
name: '<string>',
ruleId: '95b11417-f18f-457f-8804-68e361f9164f',
address: '0xbF394748301603f18d953C90F0b087CBEC0E1834',
addresses: ['0xbF394748301603f18d953C90F0b087CBEC0E1834'],
chainId: 123,
chainIds: [123],
contractAbi: [{}],
functionName: '<string>',
argumentConstraints: [{value: '<unknown>', index: 1}],
valueLimit: {
asset: '0xbF394748301603f18d953C90F0b087CBEC0E1834',
maxPerCall: '<string>',
totalLimit: '<string>'
},
operationRestrictions: {blockExport: true, blockRevocation: true, blockClientSigning: true},
disableBlockaidSecurityChecks: true
}
]
})
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/reshare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roomId": "<string>",
"serverKeygenIds": [
"<string>"
],
"newServerKeygenIds": [
"<string>"
],
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Body
Reshare Request
List of client-side key generation identifiers for resharing
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$TWO_OF_TWO, TWO_OF_THREE, THREE_OF_FIVE TWO_OF_TWO, TWO_OF_THREE, THREE_OF_FIVE Whether to delegate key access to the project environment
Whether to revoke previously delegated key access
What kind of share this ceremony is minting. When omitted, defaults
to rootUser for backwards compatibility.
rootUser, cloudBackup, delegation, offlineRecovery Identifier of the active share set this reshare ceremony runs against. Optional for backwards compatibility — when omitted, the active rootUser share set is resolved from walletId. SDKs that already receive shareSetId from getWallet() should pass it here to avoid the fallback lookup.
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Rules to seed the delegated Signer's policy layer with when this reshare mints a new delegated Signer. Only valid on the composition-mint delegation reshare path — rejected otherwise.
100Show child attributes
Show child attributes
Response
Successfully created a room for reshare ceremony
Unique identifier of the opened MPC room
List of existing server-side key generation identifiers
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$List of newly generated server-side key generation identifiers
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?
